﻿using DL.Core.Data.EntityFramework.Auditing;

namespace DL.Core.Data.EntityFramework.Tests.Auditing
{
    public class MockAuditorFactory : AuditorFactoryBase
    {
        private static readonly object threadLock = new object();

        private static MockAuditorFactory instance;

        private MockAuditorFactory()
        {
            this.AddAuditor(typeof(MockObject), typeof(MockAuditor));    
        }

        public static MockAuditorFactory Instance
        {
            get
            {
                lock (threadLock)
                {
                    if (instance == null)
                    {
                        instance = new MockAuditorFactory();
                    }
                }

                return instance;
            }
        }
    }
}
