﻿using System.Data.Entity;
using DL.Core.Data.EntityFramework.Mapping;

namespace DL.Core.Data.EntityFramework.Auditing
{
    public class AuditLogMapper : MapperBase<AuditLog>
    {
        private readonly string table;

        public AuditLogMapper(DbModelBuilder modelBuilder, string databaseSchema)
            : base(modelBuilder, databaseSchema)
        {
            this.table = "vwAuditLog";
        }

        public AuditLogMapper(DbModelBuilder modelBuilder, string databaseSchema, string tableName)
            : base(modelBuilder, databaseSchema)
        {
            this.table = tableName;
        }

        public override void BuildMapping()
        {
            this.Mapping.ToTable(this.table, this.DatabaseSchema);
            this.Mapping.HasKey(x => x.Id);
            this.Mapping.Property(x => x.EventType).HasMaxLength(1);
            this.Mapping.Property(x => x.UserToken).HasMaxLength(50);
            this.Mapping.Property(x => x.TableName).HasMaxLength(100);
            this.Mapping.Property(x => x.RecordId).HasMaxLength(50);
            this.Mapping.Property(x => x.ColumnName).HasMaxLength(100);
        }
    }
}
