﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration;

namespace DL.Core.Data.EntityFramework.Mapping
{
    public abstract class MapperBase<T> : IMapper where T : class
    {
        protected MapperBase(DbModelBuilder modelBuilder, string databaseSchema)
        {
            this.ModelBuilder = modelBuilder;
            this.DatabaseSchema = databaseSchema;
        }

        protected string DatabaseSchema { get; set; }

        protected DbModelBuilder ModelBuilder { get; set; }

        protected EntityTypeConfiguration<T> Mapping
        {
            get
            {
                return this.ModelBuilder.Entity<T>();
            }
        }

        public abstract void BuildMapping();
    }
}
