﻿using System.Collections.Generic;

namespace DL.Core.Data.EntityFramework.Mapping
{
    public abstract class ModelBuilderHelperBase
    {
        protected ModelBuilderHelperBase()
        {
            this.Mappers = new List<IMapper>();
        }

        protected List<IMapper> Mappers { get; set; }

        protected void RunMappers()
        {
            foreach (IMapper mapper in this.Mappers)
            {
                mapper.BuildMapping();
            }
        }
    }
}
