﻿using DL.Core.Contracts;
using DL.Core.Tests.Mocks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace DL.Core.Tests
{
    [TestClass]
    public class ServiceLocatorTests
    {
        [TestMethod]
        public void Locate_GetCorrectTypeInstance()
        {
            MyServiceLocator.Instance.Register<IIdentifiable<object>>(new ComplexObject());

            var identifiable = MyServiceLocator.Instance.Locate<IIdentifiable<object>>();
            Assert.IsInstanceOfType(identifiable, typeof(IIdentifiable<object>));
        }

        private class MyServiceLocator : ServiceLocatorBase
        {
            private static readonly object threadLock = new object();

            private static MyServiceLocator instance;

            private MyServiceLocator()
            {
            }

            public static MyServiceLocator Instance
            {
                get
                {
                    lock (threadLock)
                    {
                        if (instance == null)
                        {
                            instance = new MyServiceLocator();
                        }
                    }

                    return instance;
                }
            }
        }
    }
}
