﻿using System;
using FluentValidation.Validators;

namespace DL.Core.Validation.Fluent
{
    /// <summary>
    /// Validator that validates that a double property is a valid latitude.
    /// </summary>
    public class LatitudeValidator : PropertyValidator
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="LatitudeValidator"/> class.
        /// </summary>
        public LatitudeValidator()
            : base("Latitude must be between -90 and 90.")
        {
        }

        protected override bool IsValid(PropertyValidatorContext context)
        {
            double latitude = Convert.ToDouble(context.PropertyValue);

            return latitude >= -90
                   && latitude <= 90;
        }
    }
}
