﻿using System;
using FluentValidation.Validators;

namespace DL.Core.Validation.Fluent
{
    /// <summary>
    /// Validator that validates that a double property is a valid longitude.
    /// </summary>
    public class LongitudeValidator : PropertyValidator
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="LongitudeValidator"/> class.
        /// </summary>
        public LongitudeValidator()
            : base("Longitude must be between -180 and 180.")
        {
        }

        protected override bool IsValid(PropertyValidatorContext context)
        {
            double longitude = Convert.ToDouble(context.PropertyValue);
            return longitude >= -180
                   && longitude <= 180;
        }
    }
}
