﻿using System;
using System.Collections.Generic;

namespace DL.Core.Web.Rss
{
    /// <summary>
    /// Class which represents the item tag of an RSS feed.
    /// </summary>
    public class Item
    {
        /// <summary>
        /// Gets or sets the title property from the item tag.
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the link property from the item tag.
        /// </summary>
        public string Link { get; set; }

        /// <summary>
        /// Gets or sets the description property from the item tag.
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// Gets or sets the publication date property from the item tag.
        /// </summary>
        public DateTime PublicationDate { get; set; }

        /// <summary>
        /// Gets or sets the GUID property from the item tag.
        /// </summary>
        public string Guid { get; set; }

        /// <summary>
        /// Gets or sets the encoded content property from the item tag.
        /// </summary>
        public string EncodedContent { get; set; }

        /// <summary>
        /// Gets or sets the author property from the item tag.
        /// </summary>
        public string Author { get; set; }

        /// <summary>
        /// Gets or sets the number of comments property from the item tag.
        /// </summary>
        public int NumberOfComments { get; set; }

        /// <summary>
        /// Gets or sets the comments link property from the item tag.
        /// </summary>
        public string CommentsLink { get; set; }

        /// <summary>
        /// Gets or sets the comment RSS property from the item tag.
        /// </summary>
        public string CommentRss { get; set; }

        /// <summary>
        /// Gets or sets the tag tags contained in the item tag.
        /// </summary>
        public List<string> Tags { get; set; }
    }
}
