﻿using System.Collections.Generic;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace DL.Core.Web.WebParts
{
    /// <summary>
    /// WebPart object containing sample verbs.
    /// </summary>
    [ToolboxData("<{0}:VerbsWebPart runat=server></{0}:VerbsWebPart>")]
    internal class VerbsWebPart : WebPart
    {
        /// <summary>
        /// Override for the Verbs property.
        /// </summary>
        public override WebPartVerbCollection Verbs
        {
            get
            {
                List<WebPartVerb> customVerbs = new List<WebPartVerb>();

                WebPartVerb serverSideVerb
                    = new WebPartVerb(ID, new WebPartEventHandler(this.ServerSideHandler))
                          {
                              Text = "Click to execute server side code",
                              Visible = true,
                              Description = "This click will execute server side code"
                          };
                customVerbs.Add(serverSideVerb);

                WebPartVerb clientSideVerb
                    = new WebPartVerb(ID + "newone", "alert('hi you clicked me!!!');")
                          {
                              Text = "Click to execute client side code",
                              Visible = true,
                              Description = "This click will execute client side code"
                          };
                customVerbs.Add(clientSideVerb);

                WebPartVerbCollection allverbs = new WebPartVerbCollection(base.Verbs, customVerbs);

                return allverbs;
            }
        }

        /// <summary>
        /// Override for the CreateChildControls method.
        /// </summary>
        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            Controls.Add(new LiteralControl("Hello World! Look at my Verbs!"));
        }

        /// <summary>
        /// Handler for the server side verb sample.
        /// </summary>
        /// <param name="sender">Sender for the handler.</param>
        /// <param name="e">EventArgs for the handler.</param>
        protected void ServerSideHandler(object sender, WebPartEventArgs e)
        {
            var textBox = new TextBox
                {
                    TextMode = TextBoxMode.MultiLine,
                    ID = "txtName",
                    Text = "Hey, you clicked server side code and I got generated here!"
                };
            
            var panel = new Panel();            
            panel.Controls.Add(textBox);
            Controls.Add(panel);
        }
    }
}
