﻿namespace DL.Core.Contracts
{
    /// <summary>Interface which defines identifiable objects.</summary>
    /// <typeparam name="T">Type used for the unique ID of the entity.</typeparam>
    public interface IIdentifiable<T>
    {
        /// <summary>
        /// Gets or sets the property which uniquely identifies the object. 
        /// </summary>
        T Id { get; set; }
    }
}
