﻿using System;

namespace DL.Core.TypeUtilities.Extensions
{
    /// <summary>Extension methods for the DateTime object.</summary>
    public static class DateTimeExtensions
    {
        /// <summary>
        /// Converts the Time Zone of a DateTime.
        /// </summary>
        /// <param name="dt">Date to convert.</param>
        /// <returns>The given date in Central Standard Time.</returns>
        public static DateTime ChangeTimeZone(this DateTime dt)
        {
            return DateTimeUtil.ChangeTimeZone(dt);
        }

        /// <summary>
        /// Converts the Time Zone of a DateTime.
        /// </summary>
        /// <param name="dt">Date to convert.</param>
        /// <param name="timeZoneInfo">Time zone to convert the date to.</param>
        /// <returns>The given date in the given time zone.</returns>
        public static DateTime ChangeTimeZone(this DateTime dt, TimeZoneInfo timeZoneInfo)
        {
            return DateTimeUtil.ChangeTimeZone(dt, timeZoneInfo);
        }
    }
}
