﻿namespace DL.Core.TypeUtilities.Extensions
{
    /// <summary>
    /// Class which adds extension methods to Nullable types.
    /// </summary>
    public static class NullableExtensions
    {
        /// <summary>
        /// Get value or DbNull from a Nullable type.
        /// </summary>
        /// <typeparam name="T">Type of object.</typeparam>
        /// <param name="nullable">Object to get value or DbNull.</param>
        /// <returns>If not null value of object, otherwise DbNull.</returns>
        public static object GetValueOrDbNull<T>(T? nullable) where T : struct
        {
            return NullableUtil.GetValueOrDbNull(nullable);
        }
    }
}
