﻿using System;

namespace DL.Core.TypeUtilities
{
    /// <summary>
    /// Class which contains utility methods for Nullable types.
    /// </summary>
    public static class NullableUtil
    {
        /// <summary>
        /// Get value or DbNull from a Nullable type.
        /// </summary>
        /// <typeparam name="T">Type of object.</typeparam>
        /// <param name="nullable">Object to get value or DbNull.</param>
        /// <returns>If not null value of object, otherwise DbNull.</returns>
        public static object GetValueOrDbNull<T>(T? nullable) where T : struct
        {
            return nullable.HasValue ? (object)nullable.Value : DBNull.Value;
        }
    }
}
